DRUO
Get started
Acquirer Transactions

Cancel Transaction

PUThttps://api.druo.com/transactions/cancel

Cancels a pending or active transaction.

Cancels an in-progress transaction using its unique transaction UUID and token. This endpoint requires Bearer Token authentication.

Request body

custom_idstringoptional

An idempotency key created to prevent double-processing of the cancellation request.

tokenstringRequired

The unique identifier of the payment token.

transaction_uuidstringRequired

The unique identifier of the transaction to cancel.

Response

uuidstringoptional

The unique identifier of the transaction.

Example: trx_422f0f81-5001-4cce-a229-242d9ab9960a
statusstringoptional

The current status of the transaction.

Possible values:PROCESSINGSUCCESSFULFAILEDCANCELED
Example: SUCCESSFUL
decline_reasonstringoptional

The reason why the transaction was declined, if applicable.

Example: INSUFFICCIENT_FUNDS
NextPUTRefund Transaction